function [table_routage_1,table_routage_2,table_routage_3,table_routage_4,table_routage_5]=routing_flood_topo(g,name)
m=5;
node_n=length(g.node_x);
nlo=ceil(sqrt(node_n));
for k=1:m
	execstr('table_routage_'+string(k)+'=zeros(node_n*node_n,2*nlo)');
end
winId=waitbar('Routing Table');
tcount=0;
tot=5*(node_n)*(node_n-1)/2
format('v',6);
for i=1:node_n
	for j=i+1:node_n
		[path]=dijkstra(g,'arc',i,j);
		[route_sort]=mpath(g,i,j,length(path)+2);
		[a b]=size(route_sort);
		linksort=zeros(a,b-2);
		linksort(:,$-1)=route_sort(:,$-1)-1;
		linksort(:,$)=route_sort(:,$);
		for ii=1:a
			linksort(ii,1:linksort(ii,$-1))=nodes_2_path(route_sort(ii,1:route_sort(ii,$-1)),g);
		end
		if (a>m)
			ensemble=grand(10,'prm',[2:a]');
			ensemble=ensemble';
			ensemble=ensemble(:,1:m-1);
			x=[ones(10,1) ensemble];
			Delta=[];
			for k=1:10
				delta=0;
				count=0;
				for o=1:m
					for p=o:m
						if (p<>o)
							count=count+1;
							r1=linksort(x(k,o),1:linksort(x(k,o),$-1));
							l1=linksort(x(k,o),$);
							r2=linksort(x(k,p),1:linksort(x(k,p),$-1));
							l2=linksort(x(k,p),$);
							Delta_r12=disjoint(r1,l1,r2,l2);
							delta=delta+Delta_r12;
						end
					end
				end
				delta=delta/count;
				Delta=[Delta delta];
			end
			[Dv Dr]=sort(Delta);
			Chemins=sort(x(Dr($),:));
			Chemins=rvector(Chemins);
			for k=1:m
				tcount=tcount+1;
				path=route_sort(Chemins(k),1:route_sort(Chemins(k),$-1))
				l=length(path);
				execstr('table_routage_'+string(k)+'((i-1)*node_n+j,1)=l;');
				execstr('table_routage_'+string(k)+'((i-1)*node_n+j,2:length(path)+1)=path;');
				execstr('table_routage_'+string(k)+'((j-1)*node_n+i,1)=l;');
				execstr('table_routage_'+string(k)+'((j-1)*node_n+i,2:length(path)+1)=rvector(path);');
				waitbar(min(tcount/tot,1),winId);
			end
		else
			for k=1:a
				tcount=tcount+1;
				path=route_sort(k,1:route_sort(k,$-1));
				l=length(path);
				execstr('table_routage_'+string(k)+'((i-1)*node_n+j,1)=l;');
				execstr('table_routage_'+string(k)+'((i-1)*node_n+j,2:length(path)+1)=path;');
				execstr('table_routage_'+string(k)+'((j-1)*node_n+i,1)=l;');
				execstr('table_routage_'+string(k)+'((j-1)*node_n+i,2:length(path)+1)=rvector(path);');
				waitbar(min(tcount/tot,1),winId);
			end
		end		
	end
end
winclose(winId);
save(name,table_routage_1,table_routage_2,table_routage_3,table_routage_4,table_routage_5);
endfunction
